1

For Drupal SalesForce Suite I am having the follwoing Errors show up in my log messages

When I select from the Drupal Entity Type , Drupal Entity Bundle, and Salesforce Object I get these errors

Notice: Undefined index: salesforce_record_type_default in salesforce_mapping_form_validate() (line 520 of /x/x/x/x/x/x/web/sites/all/modules/salesforce/modules/salesforce_mapping/includes/salesforce_mapping.admin.inc).

Notice: Undefined index: salesforce_record_types_allowed in salesforce_mapping_form_validate() (line 520 of /x/x/x/x/x/x/web/sites/all/modules/salesforce/modules/salesforce_mapping/includes/salesforce_mapping.admin.inc).

Warning: in_array() expects parameter 2 to be array, null given in salesforce_mapping_form_validate() (line 520 of /x/x/x/x/x/x/web/sites/all/modules/salesforce/modules/salesforce_mapping/includes/salesforce_mapping.admin.inc).

For just SalesForce Object I get this additional error

Warning: Invalid argument supplied for foreach() in form_type_checkboxes_value() (line 2337 of /x/x/x/x/x/x/web/includes/form.inc).

In the UI I am unable to add more then the initial field, when I click the button to add additional mapping and select my field type, the second row of fields disappears and it logs this error in watchdog

Notice: Undefined offset: 1 in salesforce_mapping_form_field_callback() (line 428 of /x/x/x/x/x/x/web/sites/all/modules/salesforce/modules/salesforce_mapping/includes/salesforce_mapping.admin.inc).

Local Environment on XAMPP Mac OS Yosemite/ Drupal 7.34/ SalesForce Module 7.x-3.0-Dev/PHP 5.6

To further update this issue, it will allow me to create a mapping but with only the first row in the mapping table. If I save it and then go back in to edit, when I click "add another field mapping" I get a popup with this error.

An AJAX HTTP error occurred. HTTP Result Code: 200 Debugging information follows. Path: /system/ajax StatusText: OK ResponseText: Fatal error: Call to undefined function salesforce_mapping_form_validate() in /x/x/x/x/x/x/web/includes/form.inc on line 1513

0

Without being able to find an answer to the issues I was having, I did finally get the mapping module to work by downgrading XAMPP and instead of using PHP 5.6 used PHP 5.3, which enabled the Mapping module to begin functioning properly.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.